# MPE_Log_get_state_eventIDs

Get a pair of event numbers to be used to define STATE drawable through MPE_Describe_state().

## Synopsis

    int MPE_Log_get_state_eventIDs( int *statedef_startID,
                                    int *statedef_finalID )

## Input/Output Parameters

statedef_startID
  starting eventID for the definition of state drawable.
statedef_finalID
  ending eventID for the definition of state drawable.

## Notes

This routine is provided to ensure that users are using unique event numbers. It relies on all packages using this routine.

This function is threadsafe.

Location:../src/logging/src/mpe_log.c